Search

Getting Started with Search

In this guide, you'll make your first Search API request and see how the API returns search results.

Before You Begin

Before making a Search request, make sure you have:

  • A Geonode API key
  • The Scraper API base URL

If you haven't completed the initial setup, see Quick Start Guide.

Create a search by sending a POST request to the Search endpoint.

POST /v1/search

For your first search, you only need to provide a search query.

Example Request

curl -X POST "https://scraper.geonode.io/v1/search" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "query": "web scraping best practice"
  }'

You can also send the request body as JSON:

{
  "query": "web scraping best practice"
}

Example Response

A successful request returns the search results together with a unique job ID.

{
  "job_id": "a478199c-54d2-4884-ba8d-d6d7568614e9",
  "query": "web scraping best practice",
  "page": 1,
  "attempts": 2,
  "results": [
    {
      "position": 1,
      "title": "Web Scraping Best Practices in 2026",
      "url": "https://www.scrapingbee.com/blog/web-scraping-best-practices/",
      "snippet": "Web scraping is the automated process of retrieving data from websites and transforming raw HTML or other web data into structured formats for analysis or use. Whether you are working on a small web scraping project or managing large-scale data collection activities, choosing the right web scraping tool and following best practices is essential. In this article, I'll walk you through the best ...",
      "thumbnail": null,
      "displayed_url": "www.scrapingbee.com",
      "source_host": "www.scrapingbee.com"
    }
  ],
  "suggestions": [],
  "spelling_correction": null
}

The response contains:

FieldDescription
job_idUnique identifier for the search job.
queryThe search query submitted to the API.
pageThe result page returned by the search.
attemptsNumber of attempts made for the search.
resultsSearch results returned for the query.
suggestionsSearch suggestions returned by the API.
spelling_correctionSpelling correction information, when available.

The results array contains the webpages returned for the search query.

You can learn more about the individual result fields in Understanding Search Results.

What Happens Next?

Your first Search request is now complete.

The next guides explain how to customize and work with Search:

On this page